##
##  max.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2012 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         max
Summary:      Attributation Analyzer Generator
URL:          http://www2.informatik.tu-muenchen.de/forschung/logpu/logpu.html
Vendor:       TU Mnchen
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        CompilerCompiler
License:      TUM Open-Source
Version:      7.4.2
Release:      20120623

#   list of sources
Source0:      http://www2.informatik.tu-muenchen.de/pub/sw/max-%{version}.tar.gz
Patch0:       max.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, flex, bison, gcc, perl, config
PreReq:       OpenPKG, openpkg >= 20100101

%description
    MAX (Mnchner Attributierungssystem fr Unix) is a tool for
    generating abstract syntax tree driven attribution systems based
    on attributed grammars and predicate logic. It can be used for
    implementing compilers.

%track
    prog max = {
        disabled
        comment   = "rse: distribution no longer available on the net"
        version   = %{version}
        url       = http://www2.informatik.tu-muenchen.de/pub/sw/
        regex     = max-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0
    #   avoid conflicts with standard library function index()
    %{l_shtool} subst \
        -e 's;\([^a-zA-Z0-9_]\)index\( *(\);\1Mindex\2;g' \
        src/max/*.c src/max/*.h src/max/*.B src/max/*.m
    %{l_prefix}/bin/config install config

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O} -DHAVE_STRERROR" \
    ./configure \
        --prefix=$RPM_BUILD_ROOT%{l_prefix} \
        --without-x
    %{l_make} %{l_mflags}

%install
    %{l_shtool} subst -e 's;install:;install-disabled:;' doc/Makefile
    echo "install:" >>doc/Makefile
    %{l_make} %{l_mflags} install
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/share/max
    mv  $RPM_BUILD_ROOT%{l_prefix}/xad/TBrowser \
        $RPM_BUILD_ROOT%{l_prefix}/share/max/TBrowser
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

